:root {
  --pos: 1px;
}

@font-face {
  font-family: 'Comic Sans MS';
  src: url("comic-sans-ms/comici.ttf");
}

body {
    color: lime;
    font-family: 'Comic Sans MS', 'Comic Neue', 'Comic Sans', 'Architects Daughter', Arial, sans-serif; 
    margin: 0; 
    overflow-x: hidden;
}

::-webkit-scrollbar {
  width: 9px;
}

::-webkit-scrollbar-track {
  background-color: rgba(0,0,0,0);
  overflow: hidden;
}

::-webkit-scrollbar-thumb {
  background-color: #cba6f7;
  border-radius: 10px; 
}

.burger-menu {
  display: none; /* Hide the burger menu by default on larger screens */
  cursor: pointer;
  position: absolute;
  top: 20px;
  right: 20px;
  z-index: 1000; /* Ensure it's above other content */
}

.bar {
  width: 25px;
  height: 3px;
  background-color: #333;
  margin: 5px 0;
  transition: transform 0.3s; /* Add transition for smoother transformation */
}

.mesh{
  height: 100vh;
  width: 100vw;
  background-color:#99fff8;
  background-size: 100% 100%;
}

.basesite {
  background-image: url('./images/basesite.webp');
  background-attachment: scroll;
  background-repeat: no-repeat;
  background-size: cover;
}

.container {
  background-color: rgba(0,0,0,0);
  display: flex;
  flex-direction: column;
  height: 100vh;
  justify-content: center;
  overflow-y: auto;
}

.header-container {
  display: flex;
  flex-direction: column;
  align-items: center;
  position: absolute;
  top: 9%;
  left: 50%;
  transform: translateX(-50%);
  background-color: rgba(0,0,0,0);
}

.header-text {
  position: absolute;
  left: 50%;
  transform: translateX(-50%);
  font-family: 'Comic Sans MS', 'Comic Sans', 'Comic Neue', 'Architects Daughter', Arial, sans-serif, cursive; 
  font-size: 3vw; 
  background: transparent; 
  padding: 1vh; 
  white-space: nowrap;
}

.header-text h3 {
  background: linear-gradient(to right, #ff0000, #ff6600, #ffff00, #00ff00, #008000, #004d00, #0000ff, #0000ff); 
  -webkit-background-clip: text; 
  -webkit-text-fill-color: transparent; 
  -webkit-text-stroke-color: transparent;
  -webkit-text-stroke-width: 0.1vw;
  overflow-x: hidden;
  letter-spacing: 0.1vw;
  margin: 0; 
}

.header-text h1 {
  -webkit-text-stroke-color: transparent;
  text-shadow: 0.4vw 0.4vw black;
  letter-spacing: 1vw;
  margin: 0; 
  text-align: center;
}
 
.red { color: #ff0000; }
.orange { color: #ffa800; }
.green { color: #46db12; }
.blue { color: #038fff; }
.teal { color: #46e2cf; }
.lightblue { color: #35def5; }
.purple { color: #ab41ff; }
.pink { color: #ff33ad; }
.yellow { color: #ffe605; }
.black { 
  color: #000000;
  text-shadow: 0px 0px transparent;
}

.corner-image {
    position: absolute;
    width: 30%; 
    height: auto;
}

.framehome {
  width: 20%;
  top: calc(var(--pos) *22);
  left: calc(var(--pos) * 6);
  z-index: -1;
}

.subheader {
  display:block;
  background-color: #ff5c00;
  padding-top: calc(var(--pos) * 1.5);
  padding-bottom: calc(var(--pos) * 1.5);
  text-align: center; 
  margin-top: calc(var(--pos) * 17);
  padding-left: calc(var(--pos) * 6);
  padding-right: calc(var(--pos) * 6);
  border: 0.5vw dashed #ffff00; 
  margin-bottom: 100vh;
}

.subheader h5 {
  font-family: 'Comic Sans MS', 'Comic Sans', 'Comic Neue', 'Architects Daughter', Arial, sans-serif, cursive;
  letter-spacing: 0.2vw; 
  margin: 0; 
  font-size: calc(var(--pos) * 3);
  color: black;
  white-space: nowrap;
}

.honeysearch {
  position: absolute;
  top: calc(var(--pos) * 39);
  left: 50%;
  transform: translateX(-50%);
  width: 35vw;
  height: calc(var(--pos) * 4);
  border: 0.1vw solid black;
  text-align: left;
  padding-left: 5vw;
  line-height: calc(var(--pos) * 4);
  color: #0057ff;
  background-color: #ffffff;
  font-family: Arial, Helvetica, sans-serif;
  font-size: calc(var(--pos) * 1.55);
  font-weight: bold;
}

.bairgle {
  position: absolute;
  display: inline-block;
  width: calc(var(--pos) * 3.5);
  height: calc(var(--pos) * 4);
  left: calc(var(--pos) * 1.7);
}
.bairgle img{
  width: calc(var(--pos) * 3.5);
  height: calc(var(--pos) * 4);
  z-index: 100000;
}

.greyer {
  top: calc(var(--pos) * 4);
  position: absolute;
  background-color: #f2f1f1;
  color: #757575;
}

.reload {
  position: absolute;
  display: inline-block;
  width: calc(var(--pos) * 4);
  height: calc(var(--pos) * 4);
  left: calc(var(--pos) * 1.4);
  text-align: center;
}

.reload img {
  width: calc(var(--pos) * 3);
  height: calc(var(--pos) * 3);
  z-index: 100000;
  margin-top: calc(var(--pos) * 0.5);
}

.searchhistory {
  color: #939393;
}

.damilk {
  left: 80%;
  width: 55%;
}

.searchbutton {
  font-weight: bold;
  color: #000000;
  width: 10vw;
  text-align: center;
  padding-left: 0;
  top: 210%;
  left: 5vw;
}

.vertical-list {
  width: 15vw;
  height: auto;
  margin-top: calc(var(--pos) * 49);
  margin-left: 3vw;
  border: 0.2vw dashed blue; 
  background-color: white; 
  padding: 1vh;
  font-size: calc(var(--pos) * 1.5);
  font-family: monospace;
}

.vertical-list.mobile {
  margin-top: -60vh;
  margin-left: auto;
  margin-right: 5vw;
  z-index: 100000;
  font-size: 0.7rem;
  font-family: monospace;
  width: 25vw;
}

.vertical-list ul {
  list-style-type: none; 
  padding: 0; 
}

.vertical-list li {
  margin-bottom: 2vh; 
}

#pullMeButton {
  position: absolute;
  right: -1vw;
  top: calc(var(--pos) * 50);
  transform: rotate(-90deg);
  background-color: #af9cce;
  color: white;
  border: none;
  padding: calc(var(--pos) * 2);
  cursor: pointer;
  border-radius: 0.5em;
  z-index: 9999;
  font-size: calc(var(--pos) * 1.6);
  font-weight: bold;
}

#pullMeButton:hover {
  animation: shake 0.5s infinite;
}

@keyframes shake {
  0% { transform: translateX(0) rotate(-90deg); }
  20% { transform: translateX(-5px) rotate(-90deg); }
  40% { transform: translateX(5px) rotate(-90deg); }
  60% { transform: translateX(-5px) rotate(-90deg); }
  80% { transform: translateX(5px) rotate(-90deg); }
  100% { transform: translateX(0) rotate(-90deg); }
}

#pullMeButton span {
  writing-mode: vertical-lr; 
  transform: rotate(180deg);
}

.popup {
  display: none;
  position: fixed;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  padding: 0;
  background-color: #af9cce; 
  border: 0.3vh solid #000000; 
  box-shadow: 4vh 4vh 8vh rgba(0, 0, 0, 0.5); 
  font-family: Arial, sans-serif;
  color: black;
  z-index: 10000;
}

.title-bar {
  background-color: #6a18ee; 
  color: #ffffff; 
  padding: calc(var(--pos));
  font-weight: bold;
}

.titlet {
  font-size: 1.9vh;
  margin: 0 auto;
}

.close {
  float: right;
  font-size: 1.9vh;
  cursor: pointer;
  color: #4484ff;
  text-decoration: underline;
}


.popup-content {
  padding-top: calc(var(--pos) * 1.8);
  padding-bottom: calc(var(--pos) * 1.8);
  padding-left: calc(var(--pos) * 8);
  padding-right: calc(var(--pos) * 8);
}

.textbox1 {
  background-color:#4b4f2e54;
  position: absolute;
  top: calc(var(--pos) * 145);
  left: 10%;
  align-self: center;
  width: 80vw;
  height: calc(var(--pos) * 40);
  border-radius: calc(var(--pos) * 1.8);
}

.subtextbox1 {
  position: relative;
  top: 5%;
  left: 5%;
  height: 90%;
  width: 90%;
  margin-top: 1%;
  margin-bottom: 1%;
  border-radius: calc(var(--pos) * 1.8);
  font-family: 'Comic Sans MS', 'Comic Sans', 'Comic Neue', 'Architects Daughter', Arial, sans-serif, cursive;
  font-size: calc(var(--pos) * 2);
  font-weight: bold;
  text-transform: uppercase;
  text-align: center;
  color: #ffffff;
}

.left {
    top: calc(var(--pos) * (-8));
    left: -7%;
    animation: spinclock 5s linear infinite;
    width: 15%;
}

@keyframes spinclock {
    from {
        transform: rotate(0deg);
    }
    to {
        transform: rotate(360deg);
    }
}

.right {
  right: -7%;
  top: calc(var(--pos) * (-10));
  width: 15%;
    animation: spincclock 5s linear infinite;
}

@keyframes spincclock {
    from {
        transform: rotate(360deg);
    }
    to {
        transform: rotate(0deg);
    }
}

.title {
  left: 30%;
  top: calc(var(--pos) * (-10));
  width: 35%;
}

.bottom-right {
  width: 25%;
  left: 87%;
  top: calc(var(--pos) * 25);
}

.toddler-popup {
  display: none;
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: rgba(0, 0, 0, 0.7);
  z-index: 9999;
  text-align: center;
}

.toddler-popup img {
  max-width: 80%;
  max-height: 80%;
  margin-top: calc(var(--pos) * 20);
  cursor: pointer;
}

.textbox2 {
  background-color:#49494680;
  position: absolute;
  top: calc(var(--pos) * 220);
  left: 10%;
  align-self: center;
  width: 80vw;
  height: calc(var(--pos) * 22);
  border-radius: calc(var(--pos) * 1.8);
  padding-bottom: 3%;
}

.subtextbox2 {
  position: relative;
  margin-top: 2%;
  left: 5%;
  padding-top: 1%;
  height: 90%;
  width: 90%;
  border-radius: calc(var(--pos) * 1.8);
  font-family: 'Comic Sans MS', 'Comic Sans', 'Comic Neue', 'Architects Daughter', Arial, sans-serif, cursive;
  font-size: 1.4vw;
  font-weight: bold;
  text-transform: uppercase;
  text-align: center;
  color: #ffffff;
  padding-bottom: 0;
}

.title2 {
  left: 30%;
  top: calc(var(--pos) * -12);
  width: 35%;
}

.aa {
  top: calc(var(--pos) * 250);
  height: calc(var(--pos) * 16);
}

.aa2 {
  margin-top: 2%;
}

.frame {
  top: 75%;
  right: 75%;
  width: 40%;
}

.ab {
  top: calc(var(--pos) * 320);
  height: calc(var(--pos) * 16);
}

.title3 {
  left: 30%;
  top: calc(var(--pos) * -10);
  width: 40%;
}

.ac {
  top: calc(var(--pos) * 343);
  height: calc(var(--pos) * 12);
}

.aa3 {
  margin-top: 1%;
}

.textbox3 {
  background-color: #22084a80;
  position: absolute;
  top: calc(var(--pos) * 440);
  left: 10%;
  align-self: center;
  width: 80vw;
  height: auto;
  border-radius: calc(var(--pos) * 1.8);
  padding-bottom: 3%;
}

.subtextbox3 {
  background-color: #00000000;
  position: relative;
  left: 5%;
  padding-top: 3%;
  height: 90%;
  width: 60%; /* Adjust the width as needed to accommodate the GIF */
  border-radius: calc(var(--pos) * 1.8);
  font-family: 'Comic Sans MS', 'Comic Sans', 'Comic Neue', 'Architects Daughter', Arial, sans-serif, cursive;
  font-size: 1.7vw;
  font-weight: bold;
  text-transform: uppercase;
  text-align: center;
  color: #ffffff;
  padding-bottom: 0;
  display: inline-block; /* Ensure it's displayed inline with other elements */
}

.title4 {
  left: 20%;
  top: calc(var(--pos) * -12);
  width: 60%;
}

.imagebox {
  display: inline-block;
  width: 35%;
  height: auto;
  color: yellow;
  font-family: 'Comic Sans MS', 'Comic Sans', 'Comic Neue', 'Architects Daughter', Arial, sans-serif;
  font-weight: bold;
}

.imagebox img {
  max-width: 100%;
  font-size: 1rem;
  height: auto;
}

.bottom-right-sale {
  width: calc(var(--pos) * 22);
  border-radius: calc(var(--pos) * 1.2);
  top: calc(var(--pos) * 3);
  right: 4vw;
}

.cumbuy {
 position: absolute;
 right: 4.5vw; 
 bottom: 1vw;
 font-size: calc(var(--pos) * 1.9);
}

.redunderlined {
  text-decoration-line: underline;
  color: red;
  cursor: pointer;
}

.notyet-popup {
  display: none;
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: rgba(0, 0, 0, 0.7);
  z-index: 9999;
  text-align: center;
}

.notyet-popup img {
  max-width: 40%;
  max-height: 40%;
  margin-top: calc(var(--pos) * 20);
  cursor: pointer;
}

.textbox4 {
  background-color:#1d102e92;
  position: absolute;
  top: calc(var(--pos) * 530);
  left: 10%;
  align-self: center;
  width: 80vw;
  height: calc(var(--pos) * 14);
  border-radius: calc(var(--pos) * 1.8);
  padding-bottom: 3%;
}

.subtextbox4 {
  background-color: #00000000;
  position: relative;
  left: 5%;
  padding-top: 3%;
  height: 90%;
  width: 90%;
  border-radius: calc(var(--pos) * 1.8);
  font-family: 'Comic Sans MS', 'Comic Sans', 'Comic Neue', 'Architects Daughter', Arial, sans-serif, cursive;
  font-size: 1.4vw;
  font-weight: bold;
  text-transform: uppercase;
  text-align: center;
  color: #ffffff;
  padding-bottom: 0;
}

.title5 {
  left: 37%;
  top: calc(var(--pos) * -8);
  width: 25%;
}

.cc {
  top: calc(var(--pos) * 552);
  height: calc(var(--pos) * 13);
}

a[href="https://x.com/bairs_"],

a[href="https://discord.gg/bairs"] {
    color: #0057FF;
}

a[href="pages/blackpaper.html"] {
    color: #FF0000;
}

a[href="#mintbairs"] {
    color: #0F50CE;
}

a[href="#ab"] {
    color: #FF4500;
}

a[href=""] {
    color: #0F50CE;
}

a[href="pages/memes.html"] {
    color: #0F50CE;
}

a[href="pages/aotrt.html"] {
    color: #238700;
}

@media (max-width: 1024px) {
  .vertical-list {
    margin-top: calc(var(--pos) * -36);
  }
  .vertical-list li {
    margin-bottom: 1.5vh;
  }
  .titlet {
    font-size: 1vh;
  }
  .close {
    font-size: 1vh;
  }
  .toddler-popup img {
    margin-top: calc(var(--pos) * 65);
    max-height: 80%;
    max-width: 40%;
  }
}

@media (max-width: 820px) {
  .vertical-list {
    margin-top: calc(var(--pos) * -45);
  }
  .framehome {
    left: calc(var(--pos) * 8);
  }
  .notyet-popup img {

    margin-top: calc(var(--pos)* 50);
  }
}

@media (max-width: 768px) {
  .subheader {
    margin-top: calc(var(--pos) * 18);
  }
}

@media (max-width: 430px) {
  .toddler-popup img {
    margin-top: calc(var(--pos) * 109);
  }
  .subheader {
    margin-top: calc(var(--pos) * 19);
  }
  .textbox1 {
    height: calc(var(--pos) * 48);
  }
  .framehome {
    left: calc(var(--pos) * 10);
    top: calc(var(--pos) * 23)
  }
  .textbox2 {
    height: calc(var(--pos) * 27);
    top: calc(var(--pos) * 230);
  }
  .aa {
    top: calc(var(--pos) * 265);
    height: calc(var(--pos) * 26);
  }
  .ab {
    top: calc(var(--pos) * 335);
    height: calc(var(--pos) * 21);
  }
  .ac {
    top: calc(var(--pos) * 363);
    height: calc(var(--pos) * 17);
  }
  .textbox3 {
    top: calc(var(--pos) * 450);
  }
  .textbox4 {
    top: calc(var(--pos) * 540);
    height: calc(var(--pos) * 19);
  }
  .cc {
    top: calc(var(--pos) * 567);
    height: calc(var(--pos) * 18);
  }
  .bottom-right-sale {
    width: calc(var(--pos) * 26);
  }
  .cumbuy {
    bottom: 1.5vw;
  }
  .notyet-popup img {
    margin-top: calc(var(--pos) * 109);
  }
}